/* Author: Karl Johann Schubert

*/
var slhtml = "";

$(document).ready(function() {
	slhtml = $("div.lightbox").html();
	$("select.select#box").change(function() {
		if($("select.select#box").val() > 0 ) {
			$("div.drop").css("display", "block");
			$("div#dropbox").css("display", "block").addClass("noborder").bind('dragenter', function(){$("div#dropbox").removeClass("noborder")}).bind('dragleave', function() {$("div#dropbox").addClass("noborder")}).bind('drop', function() {$("div#dropbox").addClass("noborder")});
			
			$("div#console ul").append("<li>Dropbox '" + $("select.select#box option:selected").text() + "' ausgew&auml;hlt.</li>");
			$("div#console").scrollTop($("div#console").innerHeight());
			
			$("div#dropbox").filedrop({
				paramname: $("select.select#box").val(),
				
				maxfiles: 1,
				maxfilesize: 50,
				url: 'upload.php',
				
				uploadFinished: function(i, file, response) {
					$("div#console ul").append("<li>Datei '" + file.name + "' erfolgreich hochgeladen.</li>");
					$("div#console").scrollTop($("div#console").innerHeight());
				},
				
				error: function(err, file) {
					switch(err) {
						case 'BrowserNotSupported':
							showMessage('Dein Browser unterstützt keine HTML5-Uploads');
							break;
						case 'TooManyFiles':
							alert('Zu viele Dateien. Bitte maximale eine Datei auswählen.');
							break;
						case 'FileTooLarge':
							alert(file.name+' ist zu groß. Bitte maximal 50mb große Dateien hochladen.');
							break;
						default:
							break;
					}
				},
				
				uploadStarted: function(i, file, len) {
					$("div#console ul").append("<li>Datei '" + file.name + "' wird hochgeladen.</li>");
					$("div#console").scrollTop($("div#console").innerHeight());
				},
				
				progressUpdated: function(i, file, progress) {
					
				}
			});
		} else {
			$("div.drop").css("display", "none");
			$("div#dropbox").css("display", "none")
		}
	});
	
	$("#close").click(function() {
		$("div.lightbox").css("display", "none");
	});
	
	$("div.download").click(function() {
		$("div.lightbox").css("display", "block");
	});
	
	var openclick = function() {
		if($("select.select#box2").val() > 0) {
			$("select.select#box2").css("border", "1px solid #0f0");
			if($("input#email").val() != "") {
				$("input#email").css("border", "1px solid #ff0");
				if($("input#pw").val() != "") {
					$("input#pw").css("border", "1px solid #ff0");
					
					$.ajax({
						type: 'POST',
						url: 'open.php',
						data: {boxid: $("select.select#box2").val(), email: $("input#email").val(), pw: $("input#pw").val()},
						dataType: 'json',
						success: function(data) {
							if(data.status == "unauthorized") {
								$("input#email").css("border", "1px solid #f00");
								$("input#pw").css("border", "1px solid #f00");
							} else {
								var html = "<img id='close' src='./img/close.png' width='30' height='30' /><h1 class='number'>1</h1><h2 class='headline'>Dateien herunterladen</h2><table class='filelist'><thead><tr><th>#</th><th>Dateiname</th><th>Author</th><th>IP</th><th>Datum</th></tr></thead><tbody>";
								for(var i = 0; i < (data.length - 1); i++) {
									html += '<tr><td>' + i + '</td><td><a href="download.php?ticket=' + data[i].ticket + '">' + data[i].name + '</a></td><td>' + data[i].author + '</td><td>' + data[i].ip + '</td><td>' + data[i].uploaded + '</td></tr>';
								}
								html += "</tbody></table>";
								html += '<h1 class="number">2</h1><h2 class="headline">Dropbox als ZIP herunterladen</h2><p><a href="download.php?ticket=' + data[(data.length-1)] + '">Bitte hier klicken</a></p>';
								$("div.lightbox").html(html);
								$("#close").click(function() {
									$("div.lightbox").css("display", "none");
									$("div.lightbox").html(slhtml);
									$("div#open").click(openclick);
									$("#close").click(function() {
										$("div.lightbox").css("display", "none");
									});
								});
							}
						},
						error: function(error) {
							$("select.select#box2").css("border", "1px solid #f00");
							$("input#email").css("border", "1px solid #f00");
							$("input#pw").css("border", "1px solid #f00");
							alert("Bitte überprüfe deine Benutzerdaten und ob du Zugriff auf diese DropBox hast.");
						}
					});
					
				} else {
					$("input#pw").css("border", "1px solid #f00");
				}
			} else {
				$("input#email").css("border", "1px solid #f00");
			}
		} else {
			$("select.select#box2").css("border", "1px solid #f00");
		}
	}
	
	$("div#open").click(openclick);
	
	$("h1#plus").click(function() {
		var html = '<img id="close" src="./img/close.png" width="30" height="30" /><form><div id="a"><h1 class="number">1</h1><h2 class="headline">Name</h2><p class="info" id="user">Um nur den Benutzer anzulegen bitte hier klicken.</p><input type="text" id="newname" placeholder="Name" /></div><div id="b"><h1 class="number">2</h1><h2 class="headline">Benutzerdaten eingeben</h2><p class="info">Bitte gib deine Benutzerdaten ein. Solltest du nicht registriert sein wird automatisch ein neuer Benutzer mit diesem Passwort angelegt.</p><input type="text" id="email" placeholder="E-Mail-Adresse" /><input type="password" id="pw" placeholder="Passwort" /></div><div id="send"><h1 class="number">3</h1><h2 class="headline">Dropbox anlegen</h2><p class="info">Zum Erstellen der Dropbox bitte hier klicken.</p></div></form>';
		$("div.lightbox").html(html);
		$("div.lightbox").css("display", "block");
		
		$("p#user").click(function() {
			$("div#a").css("display", "none");
			$("div#b h1.number").html("1");
			$("div#send h1.number").html("2");
			$("div#send h2.headline").html("Benutzer anlegen");
			$("div#send p.info").html("Zum Erstellen des Benutzers bitte hier klicken.");
		});
		
		$("div#send").click(function() {
			if($("#newname").val() != "" || $("div#a").css("display") == "none") {
				if($("#email").val() != "") {
					if($("#pw").val() != "") {
						$("#newname").css("border", "1px solid #ff0");
						$("#email").css("border", "1px solid #ff0");
						$("#pw").css("border", "1px solid #ff0");

						$.ajax({
							type: 'POST',
							url: 'create.php',
							data: {boxname: $("input#newname").val(), mail: $("input#email").val(), pw: $("input#pw").val()},
							dataType: 'json',
							success: function(data) {
								if(data.status == "success") {
									$("#newname").css("border", "1px solid #0f0");
									$("#email").css("border", "1px solid #0f0");
									$("#pw").css("border", "1px solid #0f0");
								} else if(data.status == "unsupported name") {
									$("#newname").css("border", "1px solid #f00");
									$("#email").css("border", "1px solid #ff0");
									$("#pw").css("border", "1px solid #ff0");
								} else if(data.status == "unauthorized") {
									$("#newname").css("border", "1px solid #ff0");
									$("#pw").css("border", "1px solid #f00");
									$("#email").css("border", "1px solid #f00");
								} else {
									$("#newname").css("border", "1px solid #f00");
									$("#pw").css("border", "1px solid #f00");
									$("#email").css("border", "1px solid #f00");
								}
							},
							error: function(error) {
								$("#newname").css("border", "1px solid #f00");
								$("#pw").css("border", "1px solid #f00");
								$("#email").css("border", "1px solid #f00");
							}
						});
						
					} else {
						$("#pw").css("border", "1px solid #f00");
					}
				} else {
					$("#email").css("border", "1px solid #f00");
				}
			} else {
				$("#newname").css("border", "1px solid #f00");
			}
		});
		
		$("#close").click(function() {
			$("div.lightbox").css("display", "none");
			$("div.lightbox").html(slhtml);
			$("#close").click(function() {
				$("div.lightbox").css("display", "none");
			});
		});
	});
	
});